org.modeshape.jcr.value

## Interface ReferenceFactory

- All Superinterfaces:
    ValueFactory<Reference>
  All Known Implementing Classes:
    NodeIdentifierReferenceFactory, ReferenceValueFactory

      @ThreadSafe
      public interface ReferenceFactory
      extends ValueFactory<Reference>

  A factory for creating `references`. This interface extends the `ValueFactory` generic interface and adds specific methods for creating weak references.

- - ### Field Summary

    - ### Fields inherited from interface org.modeshape.jcr.value.ValueFactory

      `DEFAULT_DECODER, DEFAULT_ENCODER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reference[]` | `create(NodeKey[] value, boolean foreign)`
    `Reference` | `create(NodeKey value, boolean foreign)`
    `ReferenceFactory` | `with(ValueFactories valueFactories)` Return a potentially new copy of this factory that uses the supplied ValueFactories object.

    - ### Methods inherited from interface org.modeshape.jcr.value.ValueFactory

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, createEmptyArray, getPropertyType`

- - ### Method Detail

    - #### with

          ReferenceFactory with(ValueFactories valueFactories)

      Description copied from interface: `ValueFactory`
      Return a potentially new copy of this factory that uses the supplied ValueFactories object.
      Specified by:
        `with` in interface `ValueFactory<Reference>`
      Parameters:
        `valueFactories` - the value factories object; may not be null
      Returns:
        the factory, which may be a new instance or may be this object if the supplied value factories is the same as used by this factory; never null

    - #### create

          Reference create(NodeKey value,
                         boolean foreign)
                           throws ValueFormatException

      Throws:
        `ValueFormatException`

    - #### create

          Reference[] create(NodeKey[] value,
                           boolean foreign)
                             throws ValueFormatException

      Throws:
        `ValueFormatException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.